# Get Cross-Chain Status

After cross-chain transaction sent, you can check the current cross-chain status using this endpoint.

## Get Cross Chain Status

<mark style="color:blue;">`GET`</mark> `https://aggregator-api.xy.finance/v1/crossChainStatus`&#x20;

#### Query Parameters

| Name                                         | Type    | Description                   |
| -------------------------------------------- | ------- | ----------------------------- |
| srcChainId<mark style="color:red;">\*</mark> | Integer | Source chain ID               |
| srcTxHash<mark style="color:red;">\*</mark>  | String  | Source chain transaction hash |

{% tabs %}
{% tab title="200: OK Done" %}

```json
{
  "success": true,
  "status": "Done",
  "msg": "Transaction has been completed.",
  "tx": "<transaction hash on target chain>"
}
```

{% endtab %}

{% tab title="200: OK Processing" %}

```json
{
  "success": true,
  "status": "Processing",
  "msg": "Source chain transaction detected, destination chain transaction pending.",
  "tx": null
}
```

{% endtab %}

{% tab title="200: OK Not found" %}

```json
{
  "success": false,
  "status": "Not found",
  "msg": "No transaction found in the system.",
  "tx": null
}
```

{% endtab %}

{% tab title="200: OK Receive bridge token" %}

```json
{
  "success": true,
  "status": "Receive bridge token <symbol>",
  "msg": "Transaction reverted, bridge token received.",
  "tx": "<transaction hash on target chain>"
}
```

{% endtab %}

{% tab title="200: OK Receive synapse token" %}

```json
{
  "success": true,
  "status": "Receive synapse bridge token <symbol>",
  "msg": "Transaction reverted, Synapse token received.",
  "tx": "<transaction hash on target chain>"
}
```

{% endtab %}

{% tab title="200: OK Pending refund" %}

```json
{
  "success": true,
  "status": "Pending refund",
  "msg": "Transaction cannot be executed on destination chain, refund pending.",
  "tx": null
}
```

{% endtab %}

{% tab title="200: OK Refunded" %}

```json
{
  "success": true,
  "status": "Refunded",
  "msg": "Transaction cannot be executed on destination chain, refunded.",
  "tx": "<transaction hash of source chain refund>"
}
```

{% endtab %}
{% endtabs %}

There are seven possible statuses: **Not found, Processing, Done, Receive bridge token, Receive synapse token, Pending refund, and Refunded.**

| Status                                                                                                                                                                                                                     | Msg                                                                       | Discription                                                                                                                                                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Not found**                                                                                                                                                                                                              | No transaction found in the system.                                       | No matching system record or source chain transaction detected.                                                                                                                                                       |
| **Processing**                                                                                                                                                                                                             | Source chain transaction detected, destination chain transaction pending. | System record exists; source transaction complete, destination pending.                                                                                                                                               |
| **Done**                                                                                                                                                                                                                   | Transaction has been completed.                                           | There is a system record, and the destination transaction has been completed.                                                                                                                                         |
| <p><strong>Receive bridge token (TOKEN\_NAME)</strong></p><p></p><p><strong>For example :</strong></p><ul><li>Receive bridge token (USDT)</li><li>Receive bridge token (USDC)</li><li>Receive bridge token (ETH)</li></ul> | Transaction reverted, bridge token received.                              | Due to price change over the slippage tolerance or other unforeseen issues, the transaction has been reverted on the destination chain and received bridge token instead.                                             |
| <p><strong>Receive synapse token ( TOKEN\_NAME )</strong></p><ul><li>Receive synapse token (nUSD)</li><li>Receive synapse token (nETH)</li></ul>                                                                           | Transaction reverted, Synapse token received.                             | Due to price swap over the slippage tolerance or other unforeseen issues, your transaction was reverted on the destination chain and received Synapse's bridge token instead.                                         |
| **Pending refund**                                                                                                                                                                                                         | Transaction cannot be executed on destination chain, refund pending.      | Transaction encountered an error and cannot be executed on the destination chain, we will refund the bridge token on the source chain. Once the refund transaction has been completed, it will be marked as Refunded. |
| **Refunded**                                                                                                                                                                                                               | Transaction failed on destination chain, refunded.                        | Refund completed, pool token sent to source chain sender's address.                                                                                                                                                   |

{% hint style="info" %}
Here you can find our full [API reference](https://aggregator-api.xy.finance/v1/docs)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xy.finance/bridge-aggregator-integration/xy-finance-api-multiple-bridges-aggregator/get-cross-chain-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
